Subject: coding this

From: Russell Coker <[email-masked]>
Date: Wed, 27 Jun 2007 21:47:25 +1000

This would be a good feature to have, it's a pity that the internal copy() 
function in coreutils doesn't support this.

Probably the first step towards this goal would be to look at how to have cp, 
mv, etc all take advantage of copying to a temporary file that would be 
synchronised with fsync() before being renamed.  Also it would be good to 
have an option to call fsync() before close().  Sometimes you merely want to 
know that the data is committed to disk before the program returns.